<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Tipo de cáncer</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:growl id="msj"/>       
                <p:fieldset legend="Agregar Tipo de Cáncer" style="margin-bottom:20px">
                    <h:form id="datos">
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Tipo de cáncer" style="margin-right:10px;"/>
                            <p:inputText value="#{tipo_cancerController.tipo_cancer.tipo}" style="width: 120%"/>            
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save" rendered="#{tipo_cancerController.tipo_cancer.tipo==null}" value="Registrar" actionListener="#{tipo_cancerController.insertar()}" update=":tabla,datos,:msj"/>
                            </div>
                            <p:commandButton icon="pi pi-times" rendered="#{tipo_cancerController.tipo_cancer.tipo!=null}" value="Cancelar" actionListener="#{tipo_cancerController.init()}" update=":tabla,datos,:msj"/>
                            <p:commandButton  icon="pi pi-refresh" rendered="#{tipo_cancerController.tipo_cancer.tipo!=null}" value="Actualizar" actionListener="#{tipo_cancerController.editar()}" update=":tabla,datos,:msj"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>

                <p:fieldset legend="Listado de Tipos de Cáncer">
                    <h:form id="tabla" class="dosColumnas">
                        <p:dataTable value="#{tipo_cancerController.listaTipo_cancer}" var="t" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Tipo de Cáncer">
                                <p:outputLabel value="#{t.tipo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{tipo_cancerController.eliminar(t)}" update=":tabla,:msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{tipo_cancerController.consultarById(t)}" update=":datos"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>


            </ui:define>
        </ui:composition>
    </h:body>
</html>

